| XInclude |

The XInclude example uses the provided DOM API to parse an XML file while expanding the xi:include elements. It then writes the resulting DOM tree in the expanded form.

| Running XInclude |

The XInclude sample converts an input XML file into an expanded output XML file. To run XInclude, enter the following

    XInclude <Input XML file> <Output XML file>

The following parameters may be set from the command line

    Usage:
        XInclude [-h] InputFile OutputFile
      -h :             Prints this help message and exits.

Copyright © 1999-2015 The Apache Software Foundation. All Rights Reserved.